## ros-indigo-rospeex-if 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rospeex_if)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  roslib
  rospeex_msgs
)

find_package(Boost REQUIRED COMPONENTS system)

catkin_python_setup()

catkin_package(
  LIBRARIES ${PROJECT_NAME}
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp roslib rospeex_msgs
  DEPENDS system_lib
)

include_directories(
  ${catkin_INCLUDE_DIRS}
  include
)

add_library(${PROJECT_NAME}
  src/cpp/${PROJECT_NAME}/rospeex.cpp
)

add_dependencies(${PROJECT_NAME}
  ${catkin_EXPORTED_TARGETS}
)

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

## Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY sound/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/sound
)

if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/test)
  add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/test)
endif()

=== test/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/rostest)

=== test/rostest/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  # sr node test (01-01 sync speech recognition)
  add_rostest(tests/01-01.test)

  # sr node test (02-01 sync speech recognition)
  add_rostest(tests/02-01.test)

  # sr node test (03-01 stream speech recognition)
  add_rostest(tests/03-01.test)

  # sr node server stop
  ## add_rostest(tests/04-03_nict_server_stop.test)

  # sr node test (invalid parameter)
  add_rostest(tests/05-01.test)

  # sr node test (invalid file)
  add_rostest(tests/06-01.test)
  add_rostest(tests/06-02.test)
  add_rostest(tests/06-03.test)
  add_rostest(tests/06-04.test)

  # ss node test (text to speech)
  add_rostest(tests/31-01.test)
  add_rostest(tests/32-01.test)
  add_rostest(tests/35-01.test)
  add_rostest(tests/36-01.test)

  # ss node server stop
  ## add_rostest(tests/34-03_nict_server_stop.test)
endif()

=== debian/changelog ===
ros-indigo-rospeex-if (3.0.1-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Tue, 18 Apr 2017 15:00:00 -0000

ros-indigo-rospeex-if (3.0.0-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Tue, 04 Apr 2017 15:00:00 -0000

ros-indigo-rospeex-if (2.15.4-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Wed, 08 Feb 2017 15:00:00 -0000

ros-indigo-rospeex-if (2.15.3-1trusty) trusty; urgency=high

  * Mod decrease gain accept.wav
  * Mod update microsoft speech api from Oxford Project to Cognitive Services
  * Add test case for speech recognize node
  * Fix problem at changing recoginize engine language

 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Mon, 30 Jan 2017 15:00:00 -0000

ros-indigo-rospeex-if (2.15.2-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Thu, 12 Jan 2017 15:00:00 -0000

ros-indigo-rospeex-if (2.15.1-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Wed, 11 Jan 2017 15:00:00 -0000

ros-indigo-rospeex-if (2.15.0-1trusty) trusty; urgency=high

  * Fix Build Test Error on Jenkins/jade
  * fix corruption

 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Tue, 06 Dec 2016 15:00:00 -0000

ros-indigo-rospeex-if (2.14.7-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Tue, 29 Mar 2016 15:00:00 -0000

ros-indigo-rospeex-if (2.14.6-1trusty) trusty; urgency=high

  * Add Speech Synthesis Cient input message limit

 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Wed, 13 Jan 2016 15:00:00 -0000

ros-indigo-rospeex-if (2.14.5-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Wed, 13 Jan 2016 15:00:00 -0000

ros-indigo-rospeex-if (2.14.4-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Mon, 30 Nov 2015 15:00:00 -0000

ros-indigo-rospeex-if (2.14.3-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Mon, 30 Nov 2015 15:00:00 -0000

ros-indigo-rospeex-if (2.14.2-1trusty) trusty; urgency=high

  * Modified docomo API and Microsoft API to rospeex_core tests
  * Add docomo API and Microsoft API to rospeex_core

 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Wed, 25 Nov 2015 15:00:00 -0000

ros-indigo-rospeex-if (2.14.1-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Thu, 17 Sep 2015 15:00:00 -0000

ros-indigo-rospeex-if (2.14.0-1trusty) trusty; urgency=high

  * Add ros topic publisher argument 'queue_size'

 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Thu, 17 Sep 2015 15:00:00 -0000

ros-indigo-rospeex-if (2.13.0-1trusty) trusty; urgency=high

  * Fixed rospeex_if
  * Fixed rospeex_ss/ss_state topic

 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Sun, 13 Sep 2015 15:00:00 -0000

ros-indigo-rospeex-if (2.12.6-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Thu, 23 Apr 2015 15:00:00 -0000

ros-indigo-rospeex-if (2.12.5-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Mon, 02 Mar 2015 15:00:00 -0000

ros-indigo-rospeex-if (2.12.4-1trusty) trusty; urgency=high

  * Merge branch 'release/2.12.4'
  * change application from ffplay to aplay.

 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Wed, 18 Feb 2015 15:00:00 -0000

ros-indigo-rospeex-if (2.12.3-1trusty) trusty; urgency=high

  * fix issue #69

 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Thu, 12 Feb 2015 15:00:00 -0000

ros-indigo-rospeex-if (2.12.2-1trusty) trusty; urgency=high

  * fix issue #68
  * update version rospeex_if/setup.py

 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Tue, 06 Jan 2015 15:00:00 -0000

ros-indigo-rospeex-if (2.12.1-1trusty) trusty; urgency=high

  * fix test file
  * add test data, modify test script.
  * fix test file
  * fix test script
  * add test script permission and test data
  * fix setupscript and package.xml
  * add test scripts
  * fix package.xml
  * fix #62
  * fix source comment, and split source code.
  * fix comment
  * modify package.xml
  * modify lanch files, and rospeex_web audiomonitor
  * update sample script / update cmake permissions
  * fix install script
  * fix filenames / add audiomonitor
  * fix launch files
  * change rospeex/msgs directory
  * add rospeex_sample
  * create rospeex_if / rospeex_core

 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Thu, 25 Dec 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rospeex-if
Section: misc
Priority: extra
Maintainer: Komei Sugiura <komei.sugiura@nict.go.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-rospeex-msgs, ros-indigo-rostest
Homepage: http://rospeex.org
Standards-Version: 3.9.2

Package: ros-indigo-rospeex-if
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-rospack, ros-indigo-rospeex-core, ros-indigo-rospeex-msgs, ros-indigo-rospy, ros-indigo-std-msgs
Description: This package provides interface libraries on C++ and Python.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rospeex-if//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
